Name: wxmacmolplt
Version: 7.6.2
Release: 1%{?dist}
Summary: A graphics program for plotting 3-D molecular structures and normal modes
License: GPLv2+
URL: http://brettbode.github.io/wxmacmolplt/
# http://brettbode.github.io/wxmacmolplt/downloads.html -> https://uofi.box.com/s/16dl9esd7nx1oibuole9kutsmuixvnv1
Source0: https://dl.boxcloud.com/d/1/8r0zgo2CUini8Xi7CAtZH3cxhC17wzsYXq0TMULowakB_qpNq4WN1IxWywQr6x057VCyaJiO9GRTQw9udTBMCcgmtVMINzQ1QnLXNASFNYeq_MdRCd_BzuKHCJFwEAVI3f0CthN2yo00KcjV2VPEcp8N2xO1V2sk3UKpe0aBGVP139rwV6DBylhrN1PEJaG7XRoVuoOvKnjufbPCD_4AjOLFFOlnn0HDJTqvvTHNEWv68H8FX826x_taDXRnmFXmfyF_OjXFL_39i6vKNifd8cZZzS7MVHFVzPQ16aIEeOr4MmdSMv2-jW-Zj9V882qE9jBNvJf2Z4mYNstwDMprg4APJM_phY33dXGbU5GNi4qSeDfpJnam1vTg2WOmi0hONnRZnbK6yvksaLz9FaRgwyEMtLAW1MJDLxXXMXaDAQ_B8aKDZ-e9_OGyd4tzS5LvTwY9VRQlVy4MjpBOgnfHvJeNS5tWtj4AlRNnNZjk2sfD8UKKZy25wUkHDGmKPzJJeddbtKG5amLqmdnH7MzXJ5nbfM663sh3RVQXePBZcOF4YMxE8NwSIARmA5s-TWuHQK1nktA6XviWuximx12HBTxBMcpIjvinXRlUaqZnI4q9rNTSTVP-21kM3epMzyMmf15zV4hQqmT2eR4gcecdXt1lxheYQ8K_1M813CEEENHdFCNbv1G78fycNXQlRDduDF4ZBGJuOAkDF89EPh4G3SP7_34Lx1MYwts_ty6EXzc0hpbsbBACEAxQ2NuYCm7Un4GZJDdWgO8toa0fUNjqELB78hDy1xieek_AE0SpS4pjddU5t7ZKgfk7Jl5YhO89hJPEu7xN_L9lqBoDw6c4AufGRHy04Z4ObFhzFxOQX41MXxuvVohM0zR6q4ATfeaBTnHaIf_GUEEGFh2ajdmyaBnaIuSIryh-KjNydpKHZl_IUNYKVnadoB6_Gz8akqiTlVPycUJUCVpbjgOgJG2plOcCxsRC8U_vi7LHNQ5Odr5Q2MZPdUv30WjjDW_Jh9SZHL6dbkuH5XP_qj_htYZuJywcM4flfBSgdJ24T1SJp8uxsZBj-2MY4UI9D7peM3bXvQRFMAXg69NEgMPw/download#/wxmacmolplt-%{version}.tar.gz
BuildRequires: desktop-file-utils
BuildRequires: glew-devel
BuildRequires: ming-devel
BuildRequires: wxGTK-devel >= 2.6.3
Requires: hicolor-icon-theme

%description
MacMolPlt is:
* A modern graphics program for plotting 3-D molecular structures and
  normal modes (vibrations). Modern means:
  o Mouse driven interface for real-time rotation and translation.
  o copy and paste functionality for interfacing to other programs such
    as word processors or other graphics programs (like ChemDraw).
  o simple printing to color or black and white printers (publication
    quality).
  o multiple files open at once.
* It reads a variety of file formats including any GAMESS input, log or
  IRC file directly to create animations of IRC's, DRC's, and
  optimizations. You may also import a $VEC group from any file (such as
  a GAMESS .DAT file). In addition xMol XYZ files, MolDen format files
  and Chemical Markup Language (CML) files are supported. Also some PDB
  file support and MDL MolFile support is included.

%prep
%setup -q

%build
autoreconf -vif
%configure \
  --docdir=%{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}} \
  --with-ming \

make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
install -Dpm644 resources/wxmacmolplt.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/wxmacmolplt.png
desktop-file-install --dir=%{buildroot}%{_datadir}/applications resources/wxmacmolplt.desktop
rm %{buildroot}%{_pkgdocdir}/LICENSE

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%license LICENSE
%{_bindir}/wxmacmolplt
%{_mandir}/man1/wxmacmolplt.1*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/128x128/apps/wxmacmolplt.png
%{_datadir}/wxmacmolplt

%changelog
* Mon Feb 22 2016 Dominik Mierzejewski <rpm@greysector.net> 7.6.2-1
- update to 7.6.2
- update URL to new upstream location
- drop defattr and use license macro

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 7.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jan 14 2016 Adam Jackson <ajax@redhat.com> - 7.5-8
- Rebuild for glew 1.13

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 7.5-6
- Rebuilt for GCC 5 C++11 ABI change

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun 09 2014 Dominik Mierzejewski <rpm@greysector.net> 7.5-4
- enable SWF output (depends on ming)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 25 2014 Dominik Mierzejewski <rpm@greysector.net> 7.5-2
- fix docdir location
- re-run autoreconf before build to fix aarch64 support (rhbz #926733)

* Tue Feb 11 2014 Dominik Mierzejewski <rpm@greysector.net> 7.5-1
- update to 7.5
- update source URL
- drop obsolete spec file parts
- use upstream desktop file and icon

* Mon Nov 18 2013 Dave Airlie <airlied@redhat.com> - 7.4.4-3
- rebuilt for GLEW 1.10

* Wed Jul 31 2013 Ville Skyttä <ville.skytta@iki.fi> - 7.4.4-2
- Drop unnecessary --docdir %%configure arg.

* Sun Mar 17 2013 Dominik Mierzejewski <rpm@greysector.net> 7.4.4-1
- updated to 7.4.4
- dropped system glew patch (obsolete)

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.4.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Dec 13 2012 Adam Jackson <ajax@redhat.com> - 7.4.1-8
- Rebuild for glew 1.9.0

* Wed Aug 01 2012 Adam Jackson <ajax@redhat.com> - 7.4.1-7
- -Rebuild for new glew

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.4.1-5
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jun 20 2011 ajax@redhat.com - 7.4.1-3
- Rebuild for new glew soname

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Nov 13 2010 Dominik Mierzejewski <rpm@greysector.net> 7.4.1-1
- updated to 7.4.1

* Wed Dec 02 2009 Dominik Mierzejewski <rpm@greysector.net> 7.4-1
- adapted upstream specfile
- patched to use system glew
- added desktop file and icon from project website
